Bug 152411 - CAN-2005-0749 load_elf_library possible DoS
CAN-2005-0749 load_elf_library possible DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
impact=important,public=20050318,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 05:56 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 16:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix for load_elf_library() (725 bytes, patch)
2005-04-04 21:58 EDT, Ernie Petrides
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 05:56:03 EST
A flaw when freeing a pointer in load_elf_library was discovered.  A local user
could potentially use this flaw to cause a denial of service (crash).  See
discussion at:
        
http://www.uwsg.iu.edu/hypermail/linux/kernel/0503.2/0603.html

Fixed upstream (note important 2nd fix for 2.4)

fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bffczprEXYXBhd4oTqo8WoMTGQ
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244930dPN44h62CZtM0P-qXoOI-7A
fixed=2.4 (20050326
http://linux.bkbits.net:8080/linux-2.4/cset@424581efkFnFr5llhjjaiNnTmuS88Q
Comment 1 Ernie Petrides 2005-04-04 21:58:47 EDT
Created attachment 112695 [details]
proposed fix for load_elf_library()

The patch above was posted for review on 4-Apr-2005.
Comment 2 Ernie Petrides 2005-04-13 20:22:44 EDT
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.3.EL).
Comment 3 Ernie Petrides 2005-04-15 21:24:43 EDT
A fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-32.EL).
Comment 4 Josh Bressers 2005-04-22 16:17:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html
Comment 5 Tim Powers 2005-05-18 09:29:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.